Loading...
Searching...
No Matches
gtsam::ClusterTree< GRAPH >::Cluster Struct Reference

## Detailed Description

template<class GRAPH>
struct gtsam::ClusterTree< GRAPH >::Cluster

A Cluster is just a collection of factors.

## Public Member Functions

const Cluster & | operator[] (size_t i) const
template<class CONTAINER>
| Cluster (Key key, const CONTAINER &factorsToAdd)
| Construct from factors associated with a single key.
template<class CONTAINER>
void | addFactors (Key key, const CONTAINER &factorsToAdd)
| Add factors associated with a single key.
void | addChild (const boost::shared_ptr< Cluster > &cluster)
| Add a child cluster.
size_t | nrChildren () const
size_t | nrFactors () const
size_t | nrFrontals () const
int | problemSize () const
virtual void | print (const std::string &s="", const KeyFormatter &keyFormatter=DefaultKeyFormatter) const
| print this node
std::vector< size_t > | nrFrontalsOfChildren () const
| Return a vector with nrFrontal keys for each child.
void | merge (const boost::shared_ptr< Cluster > &cluster)
| Merge in given cluster.
void | mergeChildren (const std::vector< bool > &merge)
| Merge all children for which bit is set into this node.

## Public Attributes

Children | children
| sub-trees
Keys | orderedFrontalKeys
| Frontal keys of this node.
FactorGraphType | factors
| Factors associated with this node.
int | problemSize_

## Public Types

typedef FastVector< boost::shared_ptr< Cluster > > | Children
typedef Ordering | Keys

The documentation for this struct was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/inference/ClusterTree.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/inference/ClusterTree-inst.h